Skip to content
Alchemy Logo

NFT Metadata By Token ID

GET
/v3/{apiKey}/getNFTMetadata

getNFTMetadata - Retrieves the metadata associated with a specific NFT. This endpoint is supported on Ethereum and many L2s, including Polygon, Arbitrum, Optimism, Base, World Chain and more. See the full list of supported networks here.

Path Parameters

stringrequireddefaults to docs-demo

For higher throughput, create your own API key

Query Parameters

stringrequireddefaults to 0xe785E82358879F061BC3dcAC6f0444462D4b5330

String - Contract address for the NFT contract (ERC721 and ERC1155 supported).

stringrequireddefaults to 44

String - The ID of the token. Can be in hex or decimal format.

string

String - 'ERC721' or 'ERC1155'; specifies type of token to query for. API requests will perform faster if this is specified.

integer

No set timeout by default - When metadata is requested, this parameter is the timeout (in milliseconds) for the website hosting the metadata to respond. If you want to only access the cache and not live fetch any metadata for cache misses then set this value to 0.

booleandefaults to false

Defaults to false for faster response times. If true will refresh metadata for given token. If false will check the cache and use it or refresh if cache doesn't exist.

Responses

200

Returns the metadata of the specified NFT.

Was this page helpful?